### Method

# Json Node set_value

#### Declaration [src]

    void
    json_node_set_value (
      JsonNode* node,
      const GValue* value
    )

#### Description [src]

Sets a scalar value inside the given node.

The contents of the given `GValue` are copied into the `JsonNode`.

The following `GValue` types have a direct mapping to JSON types:

- `G_TYPE_INT64`
- `G_TYPE_DOUBLE`
- `G_TYPE_BOOLEAN`
- `G_TYPE_STRING`

JSON-GLib will also automatically promote the following `GValue` types:

- `G_TYPE_INT` to `G_TYPE_INT64`
- `G_TYPE_FLOAT` to `G_TYPE_DOUBLE`

It is an error to call this on an immutable node, or on a node which is not a value node.

#### Parameters

`value`

  Type: `GValue`

  The value to set.

  The data is owned by the caller of the function.